Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

eclipse 3.1 funktioniert unter suse 10 nicht

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
zsolt
Newbie
Newbie
Beiträge: 1
Registriert: 4. Feb 2006, 10:14
Wohnort: München

eclipse 3.1 funktioniert unter suse 10 nicht

Beitrag von zsolt » 4. Feb 2006, 18:31

Liebes Forum,
ich bekomme das eclipse auf suse 10 (64 Bit AMD) nicht zum Laufen. Nach dem Splashscreen erscheint eine Fehleranzeige, die auf ein .log-File mit folgendem Inhalt verweist:

!SESSION 2006-02-04 17:57:58.340 -----------------------------------------------
eclipse.buildId=I20050627-1435
java.version=1.4.2_10
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=de_DE
Command-line arguments: -os linux -ws gtk -arch x86 -data /home/zsolt/.eclipse

!ENTRY org.eclipse.update.configurator 2006-02-04 17:57:59.188
!MESSAGE Could not load from shared install
!STACK 0
java.lang.Exception
at org.eclipse.update.internal.configurator.ConfigurationParser.processConfig(ConfigurationParser.java:304)
at org.eclipse.update.internal.configurator.ConfigurationParser.startElement(ConfigurationParser.java:106)
at org.apache.crimson.parser.Parser2.maybeElement(Parser2.java:1672)
at org.apache.crimson.parser.Parser2.parseInternal(Parser2.java:667)
at org.apache.crimson.parser.Parser2.parse(Parser2.java:337)
at org.apache.crimson.parser.XMLReaderImpl.parse(XMLReaderImpl.java:448)
at javax.xml.parsers.SAXParser.parse(SAXParser.java:345)
at org.eclipse.update.internal.configurator.ConfigurationParser.parse(ConfigurationParser.java:70)
at org.eclipse.update.internal.configurator.PlatformConfiguration.loadConfig(PlatformConfiguration.java:1023)
at org.eclipse.update.internal.configurator.PlatformConfiguration.initializeCurrent(PlatformConfiguration.java:692)
at org.eclipse.update.internal.configurator.PlatformConfiguration.<init>(PlatformConfiguration.java:87)
at org.eclipse.update.internal.configurator.PlatformConfiguration.startup(PlatformConfiguration.java:646)
at org.eclipse.update.internal.configurator.ConfigurationActivator.getPlatformConfiguration(ConfigurationActivator.java:321)
at org.eclipse.update.internal.configurator.ConfigurationActivator.initialize(ConfigurationActivator.java:104)
at org.eclipse.update.internal.configurator.ConfigurationActivator.start(ConfigurationActivator.java:67)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(BundleContextImpl.java:994)
at java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:988)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:969)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:321)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:339)
at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1024)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:576)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:498)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:275)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:458)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:189)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:291)

!ENTRY org.eclipse.core.runtime 2006-02-04 17:57:59.199
!MESSAGE Product org.eclipse.sdk.ide could not be found.

!ENTRY org.eclipse.osgi 2006-02-04 17:57:59.209
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:204)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
at org.eclipse.core.launcher.Main.run(Main.java:973)
at org.eclipse.core.launcher.Main.main(Main.java:948)



Sagt das Jemandem etwas? Kann mir jemand in der Sache helfen??

Danke!
Zsolt

Werbung:
Shadow256
Newbie
Newbie
Beiträge: 4
Registriert: 29. Dez 2004, 17:12

Beitrag von Shadow256 » 4. Feb 2006, 20:52

Schau mal ob das Paket gtk-qt-engine installiert ist. Wenn ja entferne es.
Hab Eclipse mit dem Paket nie zum Laufent bekommen. gtk-qt-engine ist nur für das Aussehen von GTK-Anwendungen unter QT zuständig, also nichts wichtiges.

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste